| The Gaudi Framework v32r1 (f65d50dc)

Public Attributes | List of all members
ibsopdata3_t Union Reference

`#include <src/component/perfmon/pfmlib_amd64.h>`

## Public Attributes
uint64_t | val
struct {
uint64_t ibsldop: 1
uint64_t ibsstop: 1
uint64_t ibsdcl1tlbmiss: 1
uint64_t ibsdcl2tlbmiss: 1
uint64_t ibsdcl1tlbhit2m: 1
uint64_t ibsdcl1tlbhit1g: 1
uint64_t ibsdcl2tlbhit2m: 1
uint64_t ibsdcmiss: 1
uint64_t ibsdcmissacc: 1
uint64_t ibsdcldbnkcon: 1
uint64_t ibsdcstbnkcon: 1
uint64_t ibsdcsttoldfwd: 1
uint64_t ibsdcsttoldcan: 1
uint64_t ibsdcucmemacc: 1
uint64_t ibsdcwcmemacc: 1
uint64_t ibsdclockedop: 1
uint64_t ibsdcmabhit: 1
uint64_t ibsdclinaddrvalid: 1
uint64_t ibsdcphyaddrvalid: 1
uint64_t reserved1: 13
uint64_t ibsdcmisslat: 16
uint64_t reserved2: 16
} | reg

## Detailed Description

Definition at line 136 of file pfmlib_amd64.h.

## Member Data Documentation

## ◆ ibsdcl1tlbhit1g

uint64_t ibsopdata3_t::ibsdcl1tlbhit1g

Definition at line 144 of file pfmlib_amd64.h.

## ◆ ibsdcl1tlbhit2m

uint64_t ibsopdata3_t::ibsdcl1tlbhit2m

Definition at line 143 of file pfmlib_amd64.h.

## ◆ ibsdcl1tlbmiss

uint64_t ibsopdata3_t::ibsdcl1tlbmiss

Definition at line 141 of file pfmlib_amd64.h.

## ◆ ibsdcl2tlbhit2m

uint64_t ibsopdata3_t::ibsdcl2tlbhit2m

Definition at line 145 of file pfmlib_amd64.h.

## ◆ ibsdcl2tlbmiss

uint64_t ibsopdata3_t::ibsdcl2tlbmiss

Definition at line 142 of file pfmlib_amd64.h.

## ◆ ibsdcldbnkcon

uint64_t ibsopdata3_t::ibsdcldbnkcon

Definition at line 148 of file pfmlib_amd64.h.

## ◆ ibsdclinaddrvalid

uint64_t ibsopdata3_t::ibsdclinaddrvalid

Definition at line 156 of file pfmlib_amd64.h.

## ◆ ibsdclockedop

uint64_t ibsopdata3_t::ibsdclockedop

Definition at line 154 of file pfmlib_amd64.h.

## ◆ ibsdcmabhit

uint64_t ibsopdata3_t::ibsdcmabhit

Definition at line 155 of file pfmlib_amd64.h.

## ◆ ibsdcmiss

uint64_t ibsopdata3_t::ibsdcmiss

Definition at line 146 of file pfmlib_amd64.h.

## ◆ ibsdcmissacc

uint64_t ibsopdata3_t::ibsdcmissacc

Definition at line 147 of file pfmlib_amd64.h.

## ◆ ibsdcmisslat

uint64_t ibsopdata3_t::ibsdcmisslat

Definition at line 159 of file pfmlib_amd64.h.

## ◆ ibsdcphyaddrvalid

uint64_t ibsopdata3_t::ibsdcphyaddrvalid

Definition at line 157 of file pfmlib_amd64.h.

## ◆ ibsdcstbnkcon

uint64_t ibsopdata3_t::ibsdcstbnkcon

Definition at line 149 of file pfmlib_amd64.h.

## ◆ ibsdcsttoldcan

uint64_t ibsopdata3_t::ibsdcsttoldcan

Definition at line 151 of file pfmlib_amd64.h.

## ◆ ibsdcsttoldfwd

uint64_t ibsopdata3_t::ibsdcsttoldfwd

Definition at line 150 of file pfmlib_amd64.h.

## ◆ ibsdcucmemacc

uint64_t ibsopdata3_t::ibsdcucmemacc

Definition at line 152 of file pfmlib_amd64.h.

## ◆ ibsdcwcmemacc

uint64_t ibsopdata3_t::ibsdcwcmemacc

Definition at line 153 of file pfmlib_amd64.h.

## ◆ ibsldop

uint64_t ibsopdata3_t::ibsldop

Definition at line 139 of file pfmlib_amd64.h.

## ◆ ibsstop

uint64_t ibsopdata3_t::ibsstop

Definition at line 140 of file pfmlib_amd64.h.

## ◆ reg

struct { ... } ibsopdata3_t::reg

## ◆ reserved1

uint64_t ibsopdata3_t::reserved1

Definition at line 158 of file pfmlib_amd64.h.

## ◆ reserved2

uint64_t ibsopdata3_t::reserved2

Definition at line 160 of file pfmlib_amd64.h.

## ◆ val

uint64_t ibsopdata3_t::val

Definition at line 137 of file pfmlib_amd64.h.

The documentation for this union was generated from the following file:

- GaudiProfiling/src/component/perfmon/pfmlib_amd64.h